KCDIRTEST(1)

NAME
kcdirtest - command line interface to test the directory hash database

DESCRIPTION

The command `kcdirtest' is a utility for facility test and performance test of the directory hash database. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations.

    kcdirtest order [-th num] [-rnd] [-set|-get|-getw|-rem|-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] [-tc] [-lv] path rnum
        Performs in-order tests.
    kcdirtest queue [-th num] [-it num] [-rnd] [-oat|-onl|-onl|-otl|-onr] [-tc] [-lv] path rnum
        Performs queuing operations.
    kcdirtest wicked [-th num] [-it num] [-oat|-onl|-onl|-otl|-onr] [-tc] [-lv] path rnum
        Performs mixed operations selected at random.
    kcdirtest tran [-th num] [-it num] [-hard] [-oat|-onl|-onl|-otl|-onr] [-tc] [-lv] path rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -set : performs setting operation only.
    -get : performs getting operation only.
    -getw : performs getting with a buffer operation only.
    -rem : performs removing operation only.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -oat : opens the database with the auto transaction option.
    -oas : opens the database with the auto synchronization option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -tc : tunes the database with the compression option.
    -lv : reports all errors.
    -it num : specifies the number of repetition.
    -hard : performs physical synchronization.

This command returns 0 on success, another on failure.

SEE ALSO

kcdirmgr(1)